org.apache.groovy.parser.antlr4

## Interface SyntaxErrorReportable

- All Known Implementing Classes:
    AbstractLexer, AbstractParser, GroovyLangLexer, GroovyLangParser, GroovyLexer, GroovyParser

      public interface SyntaxErrorReportable

  A SyntaxErrorReportable is a recognizer that can report syntax error

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default PositionInfo` | `genPositionInfo(int offset)`
    `int` | `getErrorColumn()`
    `int` | `getErrorLine()`
    `int` | `getSyntaxErrorSource()`
    `default void` | `require(boolean condition, String msg)`
    `default void` | `require(boolean condition, String msg, boolean toAttachPositionInfo)`
    `default void` | `require(boolean condition, String msg, int offset)`
    `default void` | `require(boolean condition, String msg, int offset, boolean toAttachPositionInfo)`
    `default void` | `throwSyntaxError(String msg, int offset, boolean toAttachPositionInfo)`

- - ### Method Detail

    - #### require

          default void require(boolean condition,
                               String msg,
                               int offset,
                               boolean toAttachPositionInfo)

    - #### require

          default void require(boolean condition,
                               String msg,
                               boolean toAttachPositionInfo)

    - #### require

          default void require(boolean condition,
                               String msg,
                               int offset)

    - #### require

          default void require(boolean condition,
                               String msg)

    - #### throwSyntaxError

          default void throwSyntaxError(String msg,
                                        int offset,
                                        boolean toAttachPositionInfo)

    - #### getSyntaxErrorSource

          int getSyntaxErrorSource()

    - #### genPositionInfo

          default PositionInfo genPositionInfo(int offset)

    - #### getErrorLine

          int getErrorLine()

    - #### getErrorColumn

          int getErrorColumn()